Subject: Re: bug#28231: log-file: echo name at the end of builds

From: ng0 <[email-masked]>
Date: Fri, 25 Aug 2017 15:04:31 +0000

ng0 transcribed 2.2K bytes:
> When a build invoked with --no-build-hook -K --log-file fails, this is the
> last output you'll see:
> 
> 14:01.58 565 compiler warnings present.
> mach configuremachphase `configure' failed after 869.5 seconds
> note: keeping build directory `/tmp/guix-build-thunderbird-52.2.1.drv-0'
> builder for `/gnu/store/n7qma1ypp2px1shd88r736ykjg5dngll-thunderbird-52.2.1.drv' failed with exit code 1
> @ build-failed /gnu/store/n7qma1ypp2px1shd88r736ykjg5dngll-thunderbird-52.2.1.drv - 1 builder for `/gnu/store/n7qma1ypp2px1shd88r736ykjg5dngll-thunderbird-52.2.1.drv' failed with exit code 1
> guix build: error: build failed: build of `/gnu/store/n7qma1ypp2px1shd88r736ykjg5dngll-thunderbird-52.2.1.drv' failed
> 
> As far as I remember from builds I have aborted at the beginning, the
> logfile name is displayed when the build process beginns.
> 
> In my opinion we should also display them at the end builds (however they end).
> If we don't record logs of failed builds, we should start doing that.

On days where I run not so many builds, I can get the name
with ls -al /var/log/guix/drvs/ | grep "Aug 25" (for today)
and then look at the timestamps in the folders I get.
That's not very reliable, so it should be improved.
-- 
ng0
GnuPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588
GnuPG: https://n0is.noblogs.org/my-keys
https://www.infotropique.org https://krosos.org